%define destdir %{_docdir}/installer-help

Name:           drakx-installer-help
Version:        3.5
Release:        %mkrel 1
Summary:        installer help texts
License:        CC-BY-SA
Group:          Documentation
URL:            http://svnweb.mageia.org/soft/drakx-installer-help/
# svn co svn+ssh://svn.mageia.org/svn/soft/drakx-installer-help
# cd drakx-installer-help/trunk && make dist
Source0:        %{name}-%{version}.tar.xz

BuildArch:      noarch

%description
The help texts for the help buttons in drakx-installer-stage2.


%prep
%setup -q

%build
# nothing to do

%install
mkdir -p %{buildroot}%{destdir}

# HTML pages
install -p -m 644 *.html %{buildroot}%{destdir}

# images
install -p -m 644 *.png %{buildroot}%{destdir}

# translations
for lang in de el eo es et fr nl pt pt_br ru sv uk; do
    for file in $lang/*.html $lang/*.png; do
        install -D -p -m 644 $file %{buildroot}%{destdir}/$file
    done
done

for file in $(find . -name "README"); do
     lang=`echo $file|sed 's,./\(.*\)/README,\1,'`
     [ "$file" == "./README" ] || cp $file README-$lang
done

for file in $(find . -name "COPYING"); do
     lang=`echo $file|sed 's,./\(.*\)/COPYING,\1,'`
     [ "$file" == "./COPYING" ] || cp $file COPYING-$lang
done

%files
%doc README NEWS
%doc README-*
%license COPYING
%license COPYING-*
%{destdir}/*.html
%{destdir}/*.png
%{destdir}/??/*.html
%{destdir}/??/*.png
%{destdir}/?????/*.html
%{destdir}/?????/*.png


%changelog

* Sun Apr 28 2013 shlomif <shlomif> 3.5-1.mga3
+ Revision: 411499
- Add the Russian translations
- New version 3.5

* Fri Apr 19 2013 kamil <kamil> 3.4-1.mga3
+ Revision: 410536
- use new license tag
- new version 3.4
  * fully updated en, et, nl and uk
  * updated all other languages
  * added translation ru
  * Removed files: setupYabootAddEntry, setRootPassword,
  * setupBootloaderBeginner,
  choosePackages, setupBootloaderExpert, setupX, setupYabootGeneral,
  configureNetwork, summary
  * Added files: add_supplemental_media, media_selection mga#9619:5-11

* Thu Dec 27 2012 kamil <kamil> 3.3-1.mga3
+ Revision: 335740
- new tarball 3.3
- Calenco updates for all languages
- New files: chooseDesktop, choosePackageGroups, choosePackagesTree,
  configureServices, configureTimezoneUTC, minimal-install.html,
  securityLevel, selectCountry. Fix mga#5634 (Help text opens below
  correct section)

* Fri Nov 30 2012 matteo <matteo> 3.2-1.mga3
+ Revision: 323550
- synced
- added Estonian language
- added Swedish language

* Sat Nov 03 2012 matteo <matteo> 3.1-1.mga3
+ Revision: 313207
- switched Group from Books/Other to Documentation
- added Spanish translations

  + obgr_seneca <obgr_seneca>
    - Updated description

* Thu Aug 02 2012 kamil <kamil> 3.0-1.mga3
+ Revision: 277989
- new version 3.0
  * Update docs
  * New help files: configureX_card_list, configureNetwork, summary,
  setupYabootAddEntry, setRootPassword, configureX_chooser,
  setupBootloaderExpert, setupBootloaderAddEntry, setupBootloader,
  setupYabootGeneral
  * Added eo/README eo/COPYING

* Thu May 17 2012 barjac <barjac> 2.17-1.mga2
+ Revision: 235846
- Added German translations
- Final adjustments for Mga2

* Sun May 13 2012 barjac <barjac> 2.16-1.mga2
+ Revision: 235538
- New version 2.16 - added pt translation

* Sat May 12 2012 barjac <barjac> 2.15-1.mga2
+ Revision: 235453
- New version 2.15
- New version 2.14
- Added translations eo and pt_br

* Thu May 03 2012 kamil <kamil> 2.13-1.mga2
+ Revision: 234606
- install uk translations
- new tarball 2.13
  * update sources (from 2012-05-03)
  * new translations uk

* Wed May 02 2012 kamil <kamil> 2.12-1.mga2
+ Revision: 234464
- new tarball 2.12 (update translations)

* Mon Apr 30 2012 ennael <ennael> 2.11-1.mga2
+ Revision: 234396
- update sources
- add translations

  + barjac <barjac>
    - new version

* Thu Apr 26 2012 kamil <kamil> 2.10-1.mga2
+ Revision: 233411
- new tarball 2.10
  * new .HTML files (the 2012-04-26 version)
  * add missing setupBootloaderExpert.html and Makefile to the Makefile tarball generator

* Wed Apr 25 2012 kamil <kamil> 2.9-1.mga2
+ Revision: 233219
- new tarball 2.9 (new .HTML files from 25th April 2012)

* Thu Apr 19 2012 kamil <kamil> 2.8-1.mga2
+ Revision: 231563
- new tarball 2.8
  * add Makefile to prepare a tarball
  * remove images/ (no need for screenshots)

* Wed Apr 18 2012 kamil <kamil> 2.7-1.mga2
+ Revision: 231376
- new tarball 2.7 (updated .HTML files)

* Mon Apr 16 2012 kamil <kamil> 2.6-1.mga2
+ Revision: 231126
- new tarball 2.6
  * update .HTML files (the 2012-04-16 version)
  * drop unused or merged files (intro, setRoot, uninstall)

* Wed Apr 11 2012 kamil <kamil> 2.5-1.mga2
+ Revision: 230300
- new tarball 2.5
  * update README and COPYING (new help is not based on the Mandriva one)
- update license (it's now CC-BY-SA)
- small edit of the summary

* Thu Apr 05 2012 ennael <ennael> 2.4-1.mga2
+ Revision: 228680
- 2.4 - help update

  + kamil <kamil>
    - new tarball 2.3
      * update doc files (from 2012-03-23)
      * delete from README information that the doc files are available also after installation

* Sat Mar 24 2012 kamil <kamil> 2.2-1.mga2
+ Revision: 226115
- new icons are licensed under CC-BY-SA
- new version 2.2
  * add new images: note.png tip.png and warning.png
  * fix typo in README (thanks Simon Parsons)

* Thu Mar 15 2012 kamil <kamil> 2.1-1.mga2
+ Revision: 223426
- new version 2.1
  * added README, NEWS, COPYING
  * fixed missing icons
- updated license (it's GPL and LDPL)

* Mon Mar 12 2012 tmb <tmb> 2-2.mga2
+ Revision: 222832
- fix description

* Sun Mar 11 2012 kamil <kamil> 2-1.mga2
+ Revision: 222810
- imported package drakx-installer-help


* Sun Mar 11 2012 kamil <kamil> 2-1.mga2
- initial .spec for Mageia
